% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot.R
\name{plot}
\alias{plot}
\alias{plot,panelPomp_plottable-method}
\title{panelPomp plotting facilities}
\usage{
\S4method{plot}{panelPomp_plottable}(
  x,
  variables,
  panel = lines,
  nc = NULL,
  yax.flip = FALSE,
  mar = c(0, 5.1, 0, if (yax.flip) 5.1 else 2.1),
  oma = c(6, 0, 5, 0),
  axes = TRUE,
  ...
)
}
\arguments{
\item{x}{the object to plot}

\item{variables}{optional character; names of variables to be displayed}

\item{panel}{function of prototype \code{panel(x, col, bg, pch, type, ...)} which gives the action to be carried out in each panel of the display.}

\item{nc}{the number of columns to use.
Defaults to 1 for up to 4 series, otherwise to 2.}

\item{yax.flip}{logical;
if TRUE, the y-axis (ticks and numbering) should flip from side 2 (left) to 4 (right) from series to series.}

\item{mar, oma}{the \code{\link{par}} \code{mar} and \code{oma} settings.
Modify with care!}

\item{axes}{logical; indicates if x- and y- axes should be drawn}

\item{\dots}{ignored or passed to low-level plotting functions}
}
\value{
No return value (the function returns \code{NULL}).
}
\description{
Diagnostic plots for each unit in a panelPomp
}
\examples{
plot(panelRandomWalk())
}
\author{
Edward L. Ionides
}
